Illumience API

Device Warnings Query

Security is implemented for this end point. Please see the Introduction page for details on how to implement this as the query will generate an error otherwise.

GET https://api.illumience.com/v2/warnings

Headers

NameTypeDescription
apikey*StringThe apikey provided to access your customer data

200: OK Authenticated, query accepted

401: Unauthorized Authentication failure. Check your apikey and header configuration

500: Internal Server Error Unknown server error

Example Response

Status 200


{
  [
    {
      "mac": "string",
      "nickname": "string",
      "date": "string",
      "time": "string",
      "batteryVoltage": 0.00,
      "batteryCurrent": 0.00,
      "batteryTemperatureC": 0.00,
      "solar1Voltage": 0.00,
      "solar1Current": 0.00,
      "solar2Voltage": 0.00,
      "solar2Current": 0.00,
      "port3Voltage": 0.00,
      "port3Current": 0.00,
      "load1Voltage": 0.00,
      "load1Current": 0.00,
      "load2Voltage": 0.00,
      "load2Current": 0.00,
      "faults": [
        "none",
        "lowVoltageDisconnectLoad1",
        "lowVoltageReconnectLoad1",
        "lowVoltageDisconnectLoad2",
        "lowVoltageReconnectLoad2",
        "shortCircuitPort3",
        "shortCircuitLoad1",
        "shortCircuitLoad2"
      ],
      "enabled": [
        "none",
        "p1",
        "p2",
        "p3",
        "l1",
        "l2"
      ]
    }
  ]
}

Field Descriptions

FieldDescription
macThe MAC address for the respective device
nicknameThe nickname of the device, configured by the customer
dateDate of last transmit to the cloud, format YYYY/MM/DD
timeTime of last transmit to the cloud, format HH:MM:SS
batteryVoltagePort reading, averaged usually over 5 minutes
batteryCurrentPort reading, averaged usually over 5 minutes
batteryTemperaturePort reading, averaged usually over 5 minutes
solar1VoltagePort reading, averaged usually over 5 minutes
solar1CurrrentPort reading, averaged usually over 5 minutes
solar2VoltagePort reading, averaged usually over 5 minutes
solar2CurrentPort reading, averaged usually over 5 minutes
port3VoltagePort reading, averaged usually over 5 minutes
port3CurrentPort reading, averaged usually over 5 minutes
load1VoltagePort reading, averaged usually over 5 minutes
load1CurrentPort reading, averaged usually over 5 minutes
load2VoltagePort reading, averaged usually over 5 minutes
load2CurrentPort reading, averaged usually over 5 minutes
faultsArray of faults (see below)
enabledArray of port names that are enabled (see below)

Faults

FaultDescription
noneNo faults detected at this time
lowVoltageDisconnectLoad1Load 1 disabled due to low voltage
lowVoltageReconnectLoad1Load 1 disabled, but currently in a recovery stage
lowVoltageDisconnectLoad2Load 2 disabled due to low voltage
lowVoltageReconnectLoad2Load 2 disabled, but currently in a recovery stage
shortCircuitPort3Port 3 disabled due to a short circuit
shortCircuitLoad1Load 1 disabled due to a short circuit
shortCircuitLoad2Load 2 disabled due to a short circuit
solar1InputOverloadSolar port 1 disabled due to high amperage detection
solar2InputOverloadSolar port 2 disabled due to high amperage detection
load1OutputOverloadLoad 1 disabled to to high amperage detection
load2OutputOverloadLoad 2 disabled to to high amperage detection

Enabled

Port NameDescription
p1Port 1, or Solar 1
p2Port 2, or Solar 2
p3Port 3 - I/O port
L1Load 1
L2Load 2